Skip to content

Create New Customer

Request

Create a new customer. If successful, the customer will be returned in the response with its ID referenced.

Security
BearerAuth
Headers
Acceptstring(CustomerAcceptHeader)required

Set this to application/api.luminovo.customer-v1+json.

Value:"application/api.luminovo.customer-v1+json"
Bodyapplication/jsonrequired
namestringrequired
default_contact_personstring or null, (uuid)
customer_numberstring or null
languagenull or types.customer.v1.Language (string)
One of:
null
vat_idnull or types.vat.v1.CompleteVatId (object)
One of:
null
commercial_register_numberstring or null
billing_addressnull or types.customer.v1.CustomerBillingAddress (object)
One of:
null
POST
/customers
curl -i -X POST \
  https://api.luminovo.com/customers \
  -H 'Accept: application/api.luminovo.customer-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "default_contact_person": "e507307d-2e7f-49b5-b221-b3c8685ad5d4",
    "customer_number": "string",
    "language": null,
    "vat_id": null,
    "commercial_register_number": "string",
    "billing_address": null
  }'

Responses

Customer created.

Bodyapplication/json
idstring, (uuid)required
namestringrequired
billing_addressnull or types.customer.v1.CustomerBillingAddress (object)
One of:
null
default_contact_personstring or null, (uuid)
customer_numberstring or null
languagestring(types.customer.v1.Language)required
Enum:"de""en""es""fr""it""th""zh""ja""hi""cs"
vat_idnull or types.vat.v1.CompleteVatId (object)
One of:
null
commercial_register_numberstring or null
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "billing_address": null, "default_contact_person": "e507307d-2e7f-49b5-b221-b3c8685ad5d4", "customer_number": "string", "language": "de", "vat_id": null, "commercial_register_number": "string" }